# Method: instances.getStorageInfo

**Full name**: projects.locations.datasets.dicomStores.dicomWeb.studies.series.instances.getStorageInfo

instances.getStorageInfo returns the storage info of the specified resource.

### HTTP request

`GET https://healthcare.googleapis.com/v1beta1/{resource=projects/*/locations/*/datasets/*/dicomStores/*/dicomWeb/studies/*/series/*/instances/*}:getStorageInfo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` Required. The path of the instance to return storage info for, in the form: `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}/dicomWeb/studies/{studyUID}/series/{seriesUID}/instances/{instanceUID}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `resource`: - `healthcare.dicomStores.dicomWebRead` |

### Request body

The request body must be empty.

### Response body

StorageInfo encapsulates all the storage info of a resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "referencedResource": string, "structuredStorageInfo": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.dicomStores.dicomWeb.studies.series.instances/getStorageInfo#StructuredStorageInfo`) }, "blobStorageInfo": { object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.dicomStores.dicomWeb.studies.series.instances/getStorageInfo#BlobStorageInfo`) } } ``` |

| Fields ||
|---|---|
| `referencedResource` | `string` The resource whose storage info is returned. For example: `projects/{projectID}/locations/{locationID}/datasets/{datasetID}/dicomStores/{dicomStoreID}/dicomWeb/studies/{studyUID}/series/{seriesUID}/instances/{instanceUID}` |
| `structuredStorageInfo` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.dicomStores.dicomWeb.studies.series.instances/getStorageInfo#StructuredStorageInfo`)`` Info about the data stored in structured storage for the resource. |
| `blobStorageInfo` | ``object(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/projects.locations.datasets.dicomStores.dicomWeb.studies.series.instances/getStorageInfo#BlobStorageInfo`)`` Info about the data stored in blob storage for the resource. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## StructuredStorageInfo

StructuredStorageInfo contains details about the data stored in Structured Storage for the referenced resource.

| JSON representation |
|---|
| ``` { "sizeBytes": string } ``` |

| Fields ||
|---|---|
| `sizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Size in bytes of data stored in structured storage. |

## BlobStorageInfo

BlobStorageInfo contains details about the data stored in Blob Storage for the referenced resource. Note: Storage class is only valid for DICOM and hence will only be populated for DICOM resources.

| JSON representation |
|---|
| ``` { "sizeBytes": string, "storageClass": enum(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/BlobStorageClass`), "storageClassUpdateTime": string } ``` |

| Fields ||
|---|---|
| `sizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Size in bytes of data stored in Blob Storage. |
| `storageClass` | ``enum(`https://docs.cloud.google.com/healthcare-api/docs/reference/rest/v1beta1/BlobStorageClass`)`` The storage class in which the Blob data is stored. |
| `storageClassUpdateTime` | ``string(`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The time at which the storage class was updated. This is used to compute early deletion fees of the resource. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |